<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >

  <!-- Tab, Comma, Semicolon, Vertical Bar -->
  <xsl:param name="separator" select="','" />
  <!-- Quote or Apostrophe -->
  <xsl:param name="quote" select="'&quot;'" />

  <xsl:output method="text" encoding="UTF-8"/>
  
  <xsl:template match="enumerations">
    <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="choices[@id='arrl-sections']">
    <!-- Header -->
    <xsl:call-template name="output-value-separator">
      <xsl:with-param name="value" select="'abbreviation'" />
    </xsl:call-template>
    <xsl:call-template name="output-value-eor">
      <xsl:with-param name="value" select="'sectionName'" />
    </xsl:call-template>

    <!--<item><label>Alabama</label><value>AL</value></item>-->
    <xsl:for-each select="item">
      <xsl:call-template name="output-value-separator">
	<xsl:with-param name="value" select="value" />
      </xsl:call-template>
      <xsl:call-template name="output-value-eor">
	<xsl:with-param name="value" select="label" />
      </xsl:call-template>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="output-value-separator">
    <xsl:param name="value" />
    <xsl:value-of select="$quote" />
    <xsl:value-of select="normalize-space($value)"/>
    <xsl:value-of select="$quote" />
    <xsl:value-of select="$separator" />
  </xsl:template>

  <xsl:template name="output-value-eor">
    <xsl:param name="value" />
    <xsl:value-of select="$quote" />
    <xsl:value-of select="normalize-space($value)"/>
    <xsl:value-of select="$quote" />
    <xsl:text>&#xd;&#xa;</xsl:text>
  </xsl:template>

  <xsl:template match="*|@*|text()" />


</xsl:stylesheet>
