<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >

  <xsl:output method="html" indent="yes"/>

  <xsl:template match="enumerations">
    <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="choices[@id='arrl-sections']">
    <html>
      <head>
	<title>ARRL Sections Enumeration</title>
	<link rel="stylesheet" type="text/css" href="adif217.css" />
	<style type="text/css">
	  td.abbreviation { width: 50%; }
	  td.sectionName { width: 50%; }
	</style>
      </head>
      <body>
	<p class="documentVersion"><xsl:value-of select="@version" /></p>
	<h1>ARRL Sections Enumeration</h1>
	<div class="center50">
	  <table border="1" class="center50">
	    <tbody>
	      <tr>
		<th class="abbreviation">Abbreviation</th>
		<th class="sectionName">Section Name</th>
	      </tr>
	      <!--<item><label>Alabama</label><value>AL</value></item>-->
	      <xsl:for-each select="item">
		<tr>
		  <td class="abbreviation"><xsl:value-of select="value" /></td>
		  <td class="sectionName"><xsl:value-of select="label" /></td>
		</tr>
	      </xsl:for-each>
	    </tbody>
	  </table>
	</div>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="*|@*|text()" />

</xsl:stylesheet>
