<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >

  <xsl:output method="html" indent="yes"/>

  <xsl:template match="enumerations">
    <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="choices[@id='bands']">
    <html>
      <head>
	<title>Bands Enumeration</title>
	<link rel="stylesheet" type="text/css" href="adif217.css" />
	<style type="text/css">
	  td.label { width: 50%; }
	  td.value { width: 16%; }
	  td.lower { width: 16%; }
	  td.upper { width: 17%; }
	  table {empty-cells: show; }
	</style>
      </head>
      <body>
	<p class="documentVersion"><xsl:value-of select="@version" /></p>
	<h1>Bands Enumeration</h1>
	<table border="1" class="center50">
	  <tbody>
	    <tr>
	      <th class="label">Band</th>
	      <th class="value">Value</th>
	      <th class="value">Lower Freq (MHz)</th>
	      <th class="value">Upper Freq (MHz)</th>
	    </tr>
	    <!--<item><label>160m (1.8-2.0 MHz)</label><value lower="1.8" upper="2.0">160m</value></item>-->
	    <xsl:for-each select="item">
	      <tr>
		<td class="label"><xsl:value-of select="label" /></td>
		<td class="value"><xsl:value-of select="value" /></td>
		<td class="value"><xsl:value-of select="value/@lower" /></td>
		<td class="value"><xsl:value-of select="value/@upper" /></td>
	      </tr>
	    </xsl:for-each>
	  </tbody>
	</table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="*|@*|text()" />

</xsl:stylesheet>
